
#include <assert.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>

char lastMode[20];
int lastVal = 0;

void log(const char *mode)
{
	FILE *out = fopen("/tmp/cdrecord.last", "a");
	if (out == NULL)
		return;

	int val = 0;
	if (strcmp(mode, lastMode) == 0)
		val = lastVal + 1;
	fprintf(out, "%s %d\n", mode, val);
	fclose(out);
}

int main(int argc, char *args[])
{
	FILE *in = fopen("/tmp/cdrecord.last", "r");
	if (in == NULL)
		strcpy(lastMode, "start");
	else
	{
		while (1)
		{
			char lineStr[80];
			fgets(lineStr, sizeof lineStr, in);
			if (feof(in))
				break;
			sscanf(lineStr, "%s %d", lastMode, &lastVal);
		}
		fclose(in);
	}

	if (argc == 2 && strcmp(args[1], "-version") == 0)
	{
		printf("CdrecordDummy 1.8 (i686-pc-linux-gnu)\n");
		log("version");
		return 0;
	}

	if (argc >= 3 && strcmp(args[2], "-eject") == 0)
	{
		printf("ok\n");
		log("eject");
		return 0;
	}

	if (argc >= 3 && strcmp(args[2], "-load") == 0)
	{
		printf("ok\n");
		log("load");
		return 0;
	}

	if (argc >= 3 && strcmp(args[2], "-msinfo") == 0)
	{
		printf("blank\n");
		log("msinfo");
		return 0;
	}

	if (argc >= 3 && strcmp(args[2], "-inq") == 0)
	{
		if (strcmp(lastMode, "inq") != 0
			|| lastVal < 10)
			printf("Sense Code: 0x3A Qual 0x00 "
				"(medium not present) Fru 0x0\n");
		printf("Identifikation : 'dummy'\n");
		log("inq");
		return 0;
	}

	in = fopen("/tmp/cdrecord.out", "r");
	assert(in != NULL);

	while (1)
	{
		char lineStr[1024];
		int i;
		for (i = 0; i < sizeof lineStr - 1; i++)
		{
			int ch = fgetc(in);
			if (ch == EOF)
				break;
			if (ch == '\r' || ch == '\n')
			{
				lineStr[i++] = ch;
				break;
			}
			lineStr[i] = ch;
		}
		lineStr[i] = 0;
		if (i == 0)
			break;

		printf("%s", lineStr);
		fflush(stdout);

		if (strstr(lineStr, "Track") == NULL)
			usleep(100000);
		else
			sleep(1);
	}

	log("write");
}

