
import java.awt.*;
import java.awt.event.*;
import java.beans.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.plaf.metal.*;


/**
  * This is dialog which allows users to choose preferences
  *
  * @version 0.1 09/30/99
  * @author Jrg Haeger
  */
public class OptionsDialog extends JDialog
{
	public OptionsDialog(JFrame f)
	{
		super(f, "Session brennen - Optionen", true);

		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				cancelPressed();
			}
		});

		JPanel selectionPanel = new JPanel()
		{
			public Insets getInsets() {
				return new Insets(20, 30, 20, 30);
			}
		};
		selectionPanel.setLayout(
			new BoxLayout(selectionPanel, BoxLayout.Y_AXIS));
		logBox = new JCheckBox(
			"detaillierte Kontrolle des Ablaufs", false);
		selectionPanel.add(logBox);
		testModeBox = new JCheckBox(
			"Brennvorgang nur testen (ohne Laser)", false);
		selectionPanel.add(testModeBox);
		getContentPane().add(
			selectionPanel,	BorderLayout.CENTER);

		JPanel panel = new JPanel();
		panel.setLayout(new FlowLayout());

		JButton cancel = new JButton("Abbrechen");
		cancel.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				cancelPressed();
			}
		});
		panel.add(cancel);

		JButton ok = new JButton("Weiter >>");
		ok.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				OKPressed();
			}
		});
		panel.add(ok);

		getContentPane().add(panel, BorderLayout.SOUTH);
		pack();
		canceled = false;
	}
	public void cancelPressed()
	{
		canceled = true;
		this.setVisible(false);
	}
	public boolean getLogOn()
	{
		return logBox.isSelected();
	}
	public boolean getTestMode()
	{
		return testModeBox.isSelected();
	}
	public void OKPressed()
	{
		this.setVisible(false);
	}
	public boolean wasCanceled()
	{
		return canceled;
	}

	JCheckBox logBox, testModeBox;
	boolean canceled;
}

